Package org.eclipse.jdt.core.manipulation

# Class CleanUpOptionsCore

java.lang.Object
org.eclipse.jdt.core.manipulation.CleanUpOptionsCore

Direct Known Subclasses:
  `CleanUpOptions`

@Deprecated(forRemoval=true, since="2024-06") public class CleanUpOptionsCore extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
Please use CleanUpOptions in the future This class is not intended to be subclassed by clients.
Allows to set and retrieve clean up settings for given options keys.

Since:
  1.12

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FALSE`
Deprecated.
`static final String`
`TRUE`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`CleanUpOptionsCore()`
Deprecated.
`CleanUpOptionsCore(Map<String,String> options)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getKeys()`
Deprecated.
`String`
`getValue(String key)`
Deprecated.
`boolean`
`isEnabled(String key)`
Deprecated.
`void`
`setOption(String key, String value)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TRUE

@Deprecated public static final String TRUE
Deprecated.
True value

See Also:
  - Constant Field Values

### FALSE

@Deprecated public static final String FALSE
Deprecated.
False value

See Also:
  - Constant Field Values

## Constructor Details

### CleanUpOptionsCore

@Deprecated public CleanUpOptionsCore(Map<String,String> options)
Deprecated.
Creates a new CleanUpOptions instance with the given options.

Parameters:
  `options` - map that maps clean ups keys (`String`) to a non-`null` string value

### CleanUpOptionsCore

@Deprecated public CleanUpOptionsCore()
Deprecated.
Creates a new instance.

## Method Details

### isEnabled

@Deprecated public boolean isEnabled(String key)
Deprecated.
Tells whether the option with the given `key` is enabled.

Parameters:
  `key` - the name of the option
Returns:
  `true` if enabled, `false` if not enabled or unknown key
Throws:
  `IllegalArgumentException` - if the key is `null`
See Also:
  - `CleanUpConstants`

### getValue

@Deprecated public String getValue(String key)
Deprecated.
Returns the value for the given key.

Parameters:
  `key` - the key of the value
Returns:
  the value associated with the key
Throws:
  `IllegalArgumentException` - if the key is null or unknown

### setOption

@Deprecated public void setOption(String key, String value)
Deprecated.
Sets the option for the given key to the given value.

Parameters:
  `key` - the name of the option to set
  `value` - the value of the option
Throws:
  `IllegalArgumentException` - if the key is `null`
See Also:
  - `TRUE`
  - `FALSE`

### getKeys

@Deprecated public Set<String> getKeys()
Deprecated.
Returns an unmodifiable set of all known keys.

Returns:
  an unmodifiable set of all keys